**Source URL:** https://general.veevavault.dev/vault-api/api-reference/22.3/file-staging/resumable-upload-sessions/get-upload-session-details

# Get Upload Session Details

Retrieve the details of an active upload session. Admin users can get details for all sessions, while non-Admin users can only get details for sessions if they are the owner.

<Endpoint path="/api/{version}/services/file_staging/upload/{upload_session_id}" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `upload_session_id` | The upload session ID. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -L -X GET -H "Authorization: {SESSION_ID}"\
-H "Accept: application/json" \
https://myvault.veevevault.com/api/v20.3/services/file_staging/upload/TpE_3roGfhpCppmk9ltKaEAbb8.kWbZEe6xDuW3lNa42801RbIEPJaWG07xvwrITJgVmXDw3UVL1w--
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
   "responseStatus": "SUCCESS",
   "data": {
       "path": "/u10001400/cholecap-2021/Cholecap-Commercial-2021.mp4",
       "id": "TpE_3roGfhpCppmk9ltKaEAbb8.kWbZEe6xDuW3lNa42801RbIEPJaWG07xvwrITJgVmXDw3UVL1w--",
       "expiration_date": "2020-10-10T19:30:18.000Z",
       "created_date": "2020-10-07T19:30:18.000Z",
       "last_uploaded_date": "2020-10-07T19:38:29.000Z",
       "owner": 10001400,
       "uploaded_parts": 2,
       "size": 32862312,
       "uploaded": 10485760
   }
}
```
</CodeExample>

## Response Details

On SUCCESS, the response includes the following information:

---

**Previous:** [List Upload Sessions](/vault-api/api-reference/22.3/file-staging/resumable-upload-sessions/list-upload-sessions)  
**Next:** [List File Parts Uploaded to Session](/vault-api/api-reference/22.3/file-staging/resumable-upload-sessions/list-file-parts-uploaded-to-session)